Last Comment Bug 760226 - Remove unneeded EGLContext creation in GLController.java
: Remove unneeded EGLContext creation in GLController.java
Status: RESOLVED FIXED
[gfx][qa-]
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla15
Assigned To: Jeff Muizelaar [:jrmuizel]
:
Mentors:
: 754257 (view as bug list)
Depends on: 757944
Blocks: 754257 758635
  Show dependency treegraph
 
Reported: 2012-05-31 11:47 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2012-08-14 08:15 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
+


Attachments
Don't create an egl context we don't use (2.56 KB, patch)
2012-05-31 14:19 PDT, Jeff Muizelaar [:jrmuizel]
ajuma.bugzilla: review+
joe: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Jeff Muizelaar [:jrmuizel] 2012-05-31 11:47:20 PDT
This is old and causing some sadness on platforms with a limited number of contexts
Comment 1 Jeff Muizelaar [:jrmuizel] 2012-05-31 14:19:36 PDT
Created attachment 628898 [details] [diff] [review]
Don't create an egl context we don't use

Note, there's a small behaviour change which causes us to call onSurfaceChanged even when mGL would've been NULL. In this case it should be safe and this should be cleaned up after kat's work in bug 758635.
Comment 3 Joe Drew (not getting mail) 2012-06-05 12:04:28 PDT
Blocking because this fixed bug 754257.
Comment 4 Joe Drew (not getting mail) 2012-06-05 12:05:13 PDT
*** Bug 754257 has been marked as a duplicate of this bug. ***
Comment 5 Jeff Muizelaar [:jrmuizel] 2012-06-05 12:07:34 PDT
Comment on attachment 628898 [details] [diff] [review]
Don't create an egl context we don't use

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: We use an extra EGL context which is a problem for mobile devices with only 8 available contexts. Bug 754257 (a blocker) depends on this.
Testing completed (on m-c, etc.): Has been on m-c for a couple of days
Risk to taking this patch (and alternatives if risky): Mobile only, mostly removes some basically unused code.
String or UUID changes made by this patch: None
Comment 6 Joe Drew (not getting mail) 2012-06-05 13:21:19 PDT
Comment on attachment 628898 [details] [diff] [review]
Don't create an egl context we don't use

This is already on aurora (mozilla15). Approved for beta, please land ASAP.
Comment 7 Joe Drew (not getting mail) 2012-06-05 13:48:39 PDT
http://hg.mozilla.org/releases/mozilla-beta/rev/58b048bf961c
Comment 8 Joe Drew (not getting mail) 2012-06-05 17:04:32 PDT
Backed out of beta for burning the tree. This needs to be pushed along with bug 757944, which I should have noticed from the Depends line.

https://hg.mozilla.org/releases/mozilla-beta/rev/8a0592b3f4ff
Comment 9 Joe Drew (not getting mail) 2012-06-05 19:13:46 PDT
Relanded with bug 757944:

https://hg.mozilla.org/releases/mozilla-beta/rev/092b84e7cd64

Note You need to log in before you can comment on or make changes to this bug.